Debian Bug report logs - #676199
ruby-prawn: FTBFS: tests failed

version graph

Package: src:ruby-prawn; Maintainer for src:ruby-prawn is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 5 Jun 2012 12:09:14 UTC

Severity: serious

Tags: sid, wheezy

Found in version ruby-prawn/1.0.0~rc1+dfsg1-1

Fixed in version ruby-prawn/1.0.0~rc1+dfsg1-2

Done: Cédric Boutillier <cedric.boutillier@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/prawnpdf/prawn/issues/357

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#676199; Package src:ruby-prawn. (Tue, 05 Jun 2012 12:09:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Tue, 05 Jun 2012 12:09:47 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: ruby-prawn: FTBFS: tests failed
Date: Tue, 5 Jun 2012 13:57:49 +0200
Source: ruby-prawn
Version: 1.0.0~rc1+dfsg1-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120605 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1'
> # copy specs' data to data dir in order to install them correctly to run the specs
> cp -R spec/data/ data/spec
> # install manually and temporarily data
> mkdir -p debian/ruby-prawn/usr/share/ruby-prawn
> cp -R data/* debian/ruby-prawn/usr/share/ruby-prawn
> dh_auto_install
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:31: warning: method redefined; discarding old visit_String
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:4: warning: previous definition of visit_String was here
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:39: warning: method redefined; discarding old register
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:12: warning: previous definition of register was here
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:43: warning: method redefined; discarding old format_time
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:16: warning: previous definition of format_time was here
> /usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:115: warning: method redefined; discarding old to_s
> /usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:44: warning: previous definition of to_s was here
> prawn.gemspec:3: warning: shadowing outer local variable - spec
>   Entering dh_ruby --install
> install -d /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby
> install -D -m644 lib/prawn.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn.rb
> install -D -m644 lib/prawn/encoding.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/encoding.rb
> install -D -m644 lib/prawn/core.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core.rb
> install -D -m644 lib/prawn/images.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/images.rb
> install -D -m644 lib/prawn/document.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document.rb
> install -D -m644 lib/prawn/layout/grid.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/layout/grid.rb
> install -D -m644 lib/prawn/measurements.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/measurements.rb
> install -D -m644 lib/prawn/layout.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/layout.rb
> install -D -m644 lib/prawn/repeater.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/repeater.rb
> install -D -m644 lib/prawn/graphics.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics.rb
> install -D -m644 lib/prawn/stamp.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/stamp.rb
> install -D -m644 lib/prawn/compatibility.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/compatibility.rb
> install -D -m644 lib/prawn/errors.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/errors.rb
> install -D -m644 lib/prawn/graphics/cap_style.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics/cap_style.rb
> install -D -m644 lib/prawn/graphics/dash.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics/dash.rb
> install -D -m644 lib/prawn/graphics/transformation.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics/transformation.rb
> install -D -m644 lib/prawn/graphics/color.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics/color.rb
> install -D -m644 lib/prawn/graphics/transparency.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics/transparency.rb
> install -D -m644 lib/prawn/graphics/gradient.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics/gradient.rb
> install -D -m644 lib/prawn/graphics/join_style.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/graphics/join_style.rb
> install -D -m644 lib/prawn/font.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/font.rb
> install -D -m644 lib/prawn/table/cell.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/table/cell.rb
> install -D -m644 lib/prawn/table/cells.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/table/cells.rb
> install -D -m644 lib/prawn/table/cell/in_table.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/table/cell/in_table.rb
> install -D -m644 lib/prawn/table/cell/image.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/table/cell/image.rb
> install -D -m644 lib/prawn/table/cell/text.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/table/cell/text.rb
> install -D -m644 lib/prawn/table/cell/subtable.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/table/cell/subtable.rb
> install -D -m644 lib/prawn/security/arcfour.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/security/arcfour.rb
> install -D -m644 lib/prawn/font/afm.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/font/afm.rb
> install -D -m644 lib/prawn/font/dfont.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/font/dfont.rb
> install -D -m644 lib/prawn/font/ttf.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/font/ttf.rb
> install -D -m644 lib/prawn/text.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/text.rb
> install -D -m644 lib/prawn/table.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/table.rb
> install -D -m644 lib/prawn/images/png.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/images/png.rb
> install -D -m644 lib/prawn/images/image.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/images/image.rb
> install -D -m644 lib/prawn/images/jpg.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/images/jpg.rb
> install -D -m644 lib/prawn/text/formatted/parser.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/text/formatted/parser.rb
> install -D -m644 lib/prawn/text/formatted/box.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/text/formatted/box.rb
> install -D -m644 lib/prawn/text/formatted/fragment.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/text/formatted/fragment.rb
> install -D -m644 lib/prawn/text/formatted.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/text/formatted.rb
> install -D -m644 lib/prawn/text/box.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/text/box.rb
> install -D -m644 lib/prawn/document/span.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document/span.rb
> install -D -m644 lib/prawn/document/column_box.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document/column_box.rb
> install -D -m644 lib/prawn/document/graphics_state.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document/graphics_state.rb
> install -D -m644 lib/prawn/document/page_geometry.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document/page_geometry.rb
> install -D -m644 lib/prawn/document/snapshot.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document/snapshot.rb
> install -D -m644 lib/prawn/document/bounding_box.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document/bounding_box.rb
> install -D -m644 lib/prawn/document/internals.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/document/internals.rb
> install -D -m644 lib/prawn/outline.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/outline.rb
> install -D -m644 lib/prawn/measurement_extensions.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/measurement_extensions.rb
> install -D -m644 lib/prawn/core/text.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/text.rb
> install -D -m644 lib/prawn/core/object_store.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/object_store.rb
> install -D -m644 lib/prawn/core/byte_string.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/byte_string.rb
> install -D -m644 lib/prawn/core/reference.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/reference.rb
> install -D -m644 lib/prawn/core/page.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/page.rb
> install -D -m644 lib/prawn/core/annotations.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/annotations.rb
> install -D -m644 lib/prawn/core/destinations.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/destinations.rb
> install -D -m644 lib/prawn/core/document_state.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/document_state.rb
> install -D -m644 lib/prawn/core/name_tree.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/name_tree.rb
> install -D -m644 lib/prawn/core/pdf_object.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/pdf_object.rb
> install -D -m644 lib/prawn/core/text/formatted/wrap.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/text/formatted/wrap.rb
> install -D -m644 lib/prawn/core/text/formatted/arranger.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/text/formatted/arranger.rb
> install -D -m644 lib/prawn/core/text/formatted/line_wrap.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/text/formatted/line_wrap.rb
> install -D -m644 lib/prawn/core/literal_string.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/core/literal_string.rb
> install -D -m644 lib/prawn/security.rb /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/ruby-prawn/usr/lib/ruby/vendor_ruby/prawn/security.rb
> /usr/bin/ruby1.8 -I/usr/lib/ruby/vendor_ruby /usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
> Prawn specs: Running on Ruby Version: 1.8.7
> Loaded suite -e
> Started
> ...............................................................................
> ...............................................................................
> ...............................................................................
> ...............................................................................
> .............................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> .D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ....D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ...............................................................................
> .............................................................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ....................................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ...............................................................................
> ...............................................................................
> .......................................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ......................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ...............................................................................
> ........
> 
> Finished in 129.282798 seconds.
> 
> 946 tests, 1550 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0 notifications
> 100% passed
> 
> 7.32 tests/s, 11.99 assertions/s
> /usr/bin/ruby1.9.1 -I/usr/lib/ruby/vendor_ruby /usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
> /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
> Prawn specs: Running on Ruby Version: 1.9.3
> Loaded suite -e
> Started
> ...............................................................................
> ...............................................................................
> ...............................................................................
> ...............................................................................
> .............................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> F
> ===============================================================================
> Failure:
> test_spec {TTF fonts} 003 [should encode text without kerning by default](TTF fonts)
> /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/spec/font_spec.rb:298:in `block (2 levels) in <top (required)>'
>      295: 
>      296:     tele = (RUBY_VERSION < '1.9') ? "T\216l\216" :
>      297:       "T\216l\216".force_encoding("US-ASCII")
>   => 298:     @activa.encode_text("Télé").should == [[0, tele]]
>      299: 
>      300:     @activa.encode_text("Technology").should == [[0, "Technology"]]
>      301:     @activa.encode_text("Technology...").should == [[0, "Technology..."]]
> /usr/lib/ruby/vendor_ruby/mocha/integration/test_unit/gem_version_230_to_240.rb:25:in `run'
> <[[0, "T\x8El\x8E"]]> expected but was
> <[[0, "T\x8El\x8E"]]>
> 
> diff:
>   [[0, "T\x8El\x8E"]]
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ....D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ...............................................................................
> ..............................................................................D
> 
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ....................................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ...............................................................................
> ...............................................................................
> .......................................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ......................................D
> ===============================================================================
> Failure:
> 
> <> expected but was
> <>
> 
> diff:
>   nil
> ===============================================================================
> ...............................................................................
> .........
> 
> Finished in 56.60930339 seconds.
> 
> 948 tests, 1552 assertions, 1 failures, 0 errors, 0 pendings, 0 omissions, 0 notifications
> 99.8945% passed
> 
> 16.75 tests/s, 27.42 assertions/s
> ERROR: Test "ruby1.9.1" failed. Exiting.
> dh_auto_install: dh_ruby --install /«BUILDDIR»/ruby-prawn-1.0.0~rc1+dfsg1/debian/tmp returned exit code 1
> make[1]: *** [override_dh_auto_install] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/06/05/ruby-prawn_1.0.0~rc1+dfsg1-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Set Bug forwarded-to-address to 'https://github.com/prawnpdf/prawn/issues/357'. Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to control@bugs.debian.org. (Sun, 10 Jun 2012 21:09:18 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
You have taken responsibility. (Tue, 12 Jun 2012 22:51:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 12 Jun 2012 22:51:06 GMT) Full text and rfc822 format available.

Message #12 received at 676199-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 676199-close@bugs.debian.org
Subject: Bug#676199: fixed in ruby-prawn 1.0.0~rc1+dfsg1-2
Date: Tue, 12 Jun 2012 22:48:39 +0000
Source: ruby-prawn
Source-Version: 1.0.0~rc1+dfsg1-2

We believe that the bug you reported is fixed in the latest version of
ruby-prawn, which is due to be installed in the Debian FTP archive:

libprawn-ruby-common_1.0.0~rc1+dfsg1-2_all.deb
  to main/r/ruby-prawn/libprawn-ruby-common_1.0.0~rc1+dfsg1-2_all.deb
libprawn-ruby1.8_1.0.0~rc1+dfsg1-2_all.deb
  to main/r/ruby-prawn/libprawn-ruby1.8_1.0.0~rc1+dfsg1-2_all.deb
libprawn-ruby1.9.1_1.0.0~rc1+dfsg1-2_all.deb
  to main/r/ruby-prawn/libprawn-ruby1.9.1_1.0.0~rc1+dfsg1-2_all.deb
libprawn-ruby_1.0.0~rc1+dfsg1-2_all.deb
  to main/r/ruby-prawn/libprawn-ruby_1.0.0~rc1+dfsg1-2_all.deb
ruby-prawn-doc_1.0.0~rc1+dfsg1-2_all.deb
  to main/r/ruby-prawn/ruby-prawn-doc_1.0.0~rc1+dfsg1-2_all.deb
ruby-prawn_1.0.0~rc1+dfsg1-2.debian.tar.gz
  to main/r/ruby-prawn/ruby-prawn_1.0.0~rc1+dfsg1-2.debian.tar.gz
ruby-prawn_1.0.0~rc1+dfsg1-2.dsc
  to main/r/ruby-prawn/ruby-prawn_1.0.0~rc1+dfsg1-2.dsc
ruby-prawn_1.0.0~rc1+dfsg1-2_all.deb
  to main/r/ruby-prawn/ruby-prawn_1.0.0~rc1+dfsg1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676199@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <cedric.boutillier@gmail.com> (supplier of updated ruby-prawn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 12 Jun 2012 22:54:27 +0200
Source: ruby-prawn
Binary: ruby-prawn ruby-prawn-doc libprawn-ruby1.8 libprawn-ruby1.9.1 libprawn-ruby libprawn-ruby-common
Architecture: source all
Version: 1.0.0~rc1+dfsg1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <cedric.boutillier@gmail.com>
Description: 
 libprawn-ruby - Transitional package for ruby-prawn
 libprawn-ruby-common - Transitional package for ruby-prawn
 libprawn-ruby1.8 - Transitional package for ruby-prawn
 libprawn-ruby1.9.1 - Transitional package for ruby-prawn
 ruby-prawn - Fast, nimble PDF generation library for Ruby
 ruby-prawn-doc - Fast, nimble PDF generation library for Ruby (documentation)
Closes: 676199
Changes: 
 ruby-prawn (1.0.0~rc1+dfsg1-2) unstable; urgency=low
 .
   * debian/patches:
     + add 1001_fix_encoding_in_font_spec.patch
       Change the encoding with Ruby 1.9 of a string used for comparison in
       font_spec.rb (Closes: #676199)
     + add 1002_define_external_encoding_for_manual.patch
       Set external encoding to successfully build the manual on systems with
       non Unicode locale
   * Move debian/source.lintian-overrides to d/source/lintian-overrides
   * Bump Standards-version to 3.9.3 (no changes needed)
Checksums-Sha1: 
 3bffe29a4d609c4fd3bfa8a179a96ea30521f77c 2548 ruby-prawn_1.0.0~rc1+dfsg1-2.dsc
 4199b952e39e96378b41aec50be52c5566870abb 28843 ruby-prawn_1.0.0~rc1+dfsg1-2.debian.tar.gz
 d7024a01b94e907640803fdb04b1bde71d1dc55f 273896 ruby-prawn_1.0.0~rc1+dfsg1-2_all.deb
 ca6828a5a49ed64f6a9f0f79192b52b49aade745 444706 ruby-prawn-doc_1.0.0~rc1+dfsg1-2_all.deb
 fa138c3d7b684b6d17627f59a2eaba6dc43bdee9 11894 libprawn-ruby1.8_1.0.0~rc1+dfsg1-2_all.deb
 73f40d104f846afbf8b919c9a5fdd3fd34c81571 11898 libprawn-ruby1.9.1_1.0.0~rc1+dfsg1-2_all.deb
 672c541059920e7db900ba113e173aac8df57f89 11892 libprawn-ruby_1.0.0~rc1+dfsg1-2_all.deb
 31c22499aa17d74ae41de8982a6abf6a81bb6f22 11900 libprawn-ruby-common_1.0.0~rc1+dfsg1-2_all.deb
Checksums-Sha256: 
 d5ed95c3e83973041d24c1eb2ac63251b7e7b1ef6446391415a4a60c3426136d 2548 ruby-prawn_1.0.0~rc1+dfsg1-2.dsc
 074785488bfed7d7c8038393c5c2139a7fcae583d54ee9c08a24d4a59e992015 28843 ruby-prawn_1.0.0~rc1+dfsg1-2.debian.tar.gz
 381bfb9e20a3753da77ad24587312614d6b1a9bfec269ade7aeca238c0c1837a 273896 ruby-prawn_1.0.0~rc1+dfsg1-2_all.deb
 c2378933ff64a9d4b4e614188078e1b0596c1c732d0a3499985e04d46837f024 444706 ruby-prawn-doc_1.0.0~rc1+dfsg1-2_all.deb
 89163f64e3f9b5afffb5347029cc2fcc1c6de761eaa761edf8d5344676887601 11894 libprawn-ruby1.8_1.0.0~rc1+dfsg1-2_all.deb
 f05b2365c612cbb34d945836a3ccd9271d3451ac425257dfc511b56a7256477a 11898 libprawn-ruby1.9.1_1.0.0~rc1+dfsg1-2_all.deb
 ced16c0aa154bb7c9704dfeeb8d82cf7555a9a38df97991e2c74632e27cfe653 11892 libprawn-ruby_1.0.0~rc1+dfsg1-2_all.deb
 ff37f05f9f0f6979feba947630669876a202e1581cf24998d1263339ebcc4675 11900 libprawn-ruby-common_1.0.0~rc1+dfsg1-2_all.deb
Files: 
 8dc33acbe6baa8609ca17d3501c247d2 2548 ruby optional ruby-prawn_1.0.0~rc1+dfsg1-2.dsc
 0be7cb3596b04908e78bbfaff48da931 28843 ruby optional ruby-prawn_1.0.0~rc1+dfsg1-2.debian.tar.gz
 fae8bb534f45320bf86226f8fb46307b 273896 ruby optional ruby-prawn_1.0.0~rc1+dfsg1-2_all.deb
 426c7a9c0c4842c731d534358a3d8803 444706 doc optional ruby-prawn-doc_1.0.0~rc1+dfsg1-2_all.deb
 23d2dc1ec02eb4868ff479827a67105e 11894 oldlibs extra libprawn-ruby1.8_1.0.0~rc1+dfsg1-2_all.deb
 01d60f081d2b5a18082eff50ea22bb95 11898 oldlibs extra libprawn-ruby1.9.1_1.0.0~rc1+dfsg1-2_all.deb
 5b3a290e991ebb034f054ab5f5eaf243 11892 oldlibs extra libprawn-ruby_1.0.0~rc1+dfsg1-2_all.deb
 7bb1517e175254b7b4fb4e0a665208f1 11900 oldlibs extra libprawn-ruby-common_1.0.0~rc1+dfsg1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP18OdAAoJENpJWPYR4Unpu0sQAJoh2j9F4cCFVrtY+NMlNgSo
CugbO6yD9FyEddSnM82tyX/c/oXLhqYOAj0GBvyxsCmoa+yknzHXTc2Zx6mQUfoJ
lrn2LdR4M3Y4Fo9/OAe00VguzMF1DP3AHM3YbUm6L7kG0D60ZwuJ8+w+j2t9XoMd
wSZxS09hFCZBYIUwNGhCi0a91b2pwQwpDqJghMV3KZE7rW2sKGBM6TelS0/W7RCf
1mw3byGtk630BmkS/VR8bi8T/kNfd9WV9sNoD6HAWm6ipafcnzOmFAVnKLdFjRJq
MYOYRiDj1Zzdmpo55VM9EQS17LNPuX48CN+Ey7EkTajzrOxe0x6rVWmq2sZq9Gm2
CloWQlRIFp4uvXaAPjsOFL2JO7QpeekoY/46ZRxWhCEqZIln2F7xeZHXiJTNP03G
JqJV38egH9zTwUsTbMtqqdAntP+e25JKzeIvH8LxPlNYRKXazUw1m37fof6KINQ+
WxQPdvRnX9io6ep2oHGVystR/eqsCBCYzjIQNwsxzCTyRsmP1FnOCPHlQ2Tsix75
hg+HCjFVAJy4uL9vmAxPtkoSE3MnQXdZ4JNktf64Uq1oM+yIWwsy+K9x7D1amuQm
+4XkoF1rMSSpVmSD8yw5ZCnim0Mq21xsiKtcohVeeXv45pdICmS77iZ1GS5E1L2r
rMU4Z3gceD586g1W+vjg
=9Vfl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Aug 2012 07:35:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:44:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.